Partner

Get Top Clients

GET
/partner/top-clients

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

userId*string

Identifier of the partner user whose top clients are requested

Formatuuid
startTime?string

Start of the reporting window (inclusive)

Formatdate-time
endTime?string

End of the reporting window (inclusive)

Formatdate-time
comparative?boolean

When true, include each client's absolute change versus the previous equal-length window

Defaultfalse
sortBy?string

Ranking metric

Default"volumeUsd"

Value in

  • "volumeUsd"
  • "volumeLots"
  • "rebate"
sortOrder?string

Ranking direction

Default"desc"

Value in

  • "asc"
  • "desc"
limit?integer

Maximum number of ranked clients to return

Range1 <= value <= 100
Default50
offset?integer

Number of ranked clients to skip

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/partner/top-clients?userId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "report": {    "data": [      {        "clientExternalId": "string",        "volumeLots": {          "actualValue": "string",          "absoluteChange": "string"        },        "volumeUsd": {          "actualValue": "string",          "absoluteChange": "string"        },        "rebate": {          "actualValue": "string",          "absoluteChange": "string"        }      }    ],    "total": 0  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}